=== debian/control ===
Source: miwm
Section: x11
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 9), pkg-config, libx11-dev, libxpm-dev, x11proto-xext-dev, libxext-dev
Standards-Version: 3.9.3.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/miwm.git
Vcs-Git: git://git.debian.org/git/collab-maint/miwm.git
Homepage: http://freshmeat.net/projects/miwm

Package: miwm
Provides: x-window-manager
Suggests: idesk, fbdesk, xinit, x11-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist window manager with virtual workspaces
 MIWM is a minimalist window manager with virtual workspaces. It is
 designed to be used for low end PCs where low resource usage and
 minimal memory footprint is desired. MIWM is written in C++.
