=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = miwm

export DEB_BUILD_MAINT_OPTIONS	= hardening=+all
export DEB_CFLAGS_MAINT_APPEND	= -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE)-session makeman

override_dh_auto_install:
	# See debian/install

override_dh_auto_build: man
	$(MAKE) CC="g++ $(CFLAGS) $(CPPFLAGS) $(LDFLAGS)"

%:
	dh $@

.PHONY: man

# End of file
