=== debian/watch ===
version=3
http://sf.net/miwm/miwm-(.+)\.tar\.gz
